Subject: bug#60427: Emacs-29, c++-ts-mode: typing "char" into an empty buffer causes an exception in redisplay.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Jan 2023 22:20:05 +0200

> Date: Sun, 1 Jan 2023 19:31:26 +0000
> Cc: [email-masked], [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > How did you get and build the C++ grammar file for tree-sitter?  If
> > you cloned their repository, what is the last commit from which you
> > produced the shared library file?
> 
> I installed it using my GNU/Linux distribution's package manager.
> That's Gentoo.
> 
> > And which version of the tree-sitter library are you using?
> 
> I've got tree-sitter-cpp 0.20.0.  In /usr/lib64, I get:
> 
>     /usr/lib64/libtree-sitter-cpp.so -> libtree-sitter-cpp.so.13

That's more than a year ago (Oct 2021), if my reading of their Git
logs is correct.  Please try a newer version, perhaps from their Git
repository, if you can.

> The feeling at the moment is that that libtree-sitter-cpp.so.13 isn't
> compatible with Emacs 29.

Could be.  But we won't know for sure until you try a newer version of
the grammar library.